import { Finite } from 'type-fest/source/numeric';
export { Finite } from 'type-fest/source/numeric';
import { z } from 'zod';

declare const FINITE_NUMBER_SCHEMA: z.ZodNumber;
declare function validateFiniteNumber<N extends number>(value: N): asserts value is Finite<N>;
declare function isFiniteNumber<N extends number>(value: N): value is Finite<N>;

export { FINITE_NUMBER_SCHEMA, isFiniteNumber, validateFiniteNumber };
