'use strict';

var zod = require('zod');
var primitive = require('@terminal-nerds/snippets-type/primitive');

var u=zod.z.number().finite();function k(e){u.parse(e);}function w(e){return u.safeParse(e).success}var a=zod.z.number().refine(e=>!zod.z.number().int().safeParse(e).success&&zod.z.number().finite().safeParse(e).success,"should not be an integer");function j(e){a.parse(e);}function L(e){return a.safeParse(e).success}var p=zod.z.literal(Number.POSITIVE_INFINITY),m=zod.z.literal(Number.NEGATIVE_INFINITY),f=p.or(m);function K(e){f.parse(e);}function Q(e){return f.safeParse(e).success}function W(e){return p.safeParse(e).success}function $(e){return m.safeParse(e).success}var c=zod.z.number().int(),v=zod.z.number().int().negative(),x=zod.z.number().int().positive();function b(e){c.parse(e);}function ne(e){v.parse(e);}function se(e){x.parse(e);}function ie(e){return c.safeParse(e).success}function oe(e){return v.safeParse(e).success}function ue(e){return x.safeParse(e).success}function l(e){return primitive.validatePrimitive(e,"number")}function me(e){return primitive.isPrimitive(e,"number")}var I=zod.z.literal(0),E=zod.z.number().negative().or(zod.z.number().positive());function O(e){I.parse(e);}function g(e){E.parse(e);}function le(e){return I.safeParse(e).success}function z(e){return O(e),Object.is(-0,e)}function Ie(e){return !z(e)}function Ee(e){return E.safeParse(e).success}function G(e){return b(e),e%2===0}function de(e){return !G(e)}function Ae(e,o){return l(e),g(o),zod.z.number().multipleOf(o).safeParse(e).success}var _=zod.z.nan();function He(e){_.parse(e);}function Ze(e){return _.safeParse(e).success}var M=zod.z.number().negative(),P=zod.z.number().nonpositive();function Be(e){M.parse(e);}function Ge(e){return M.safeParse(e).success}function Ue(e){P.parse(e);}function Ve(e){return P.safeParse(e).success}var d=zod.z.number().positive(),A=zod.z.number().nonnegative();function Xe(e){d.parse(e);}function he(e){return d.safeParse(e).success}function je(e){A.parse(e);}function Le(e){return A.safeParse(e).success}var F=zod.z.number().safe(),T=zod.z.literal(Number.MAX_SAFE_INTEGER),C=zod.z.literal(Number.MIN_SAFE_INTEGER);function Ke(e){F.parse(e);}function Qe(e){return F.safeParse(e).success}function We(e){T.parse(e);}function $e(e){return T.safeParse(e).success}function et(e){C.parse(e);}function tt(e){return C.safeParse(e).success}

Object.defineProperty(exports, 'NUMBER_SCHEMA', {
	enumerable: true,
	get: function () { return primitive.NUMBER_SCHEMA; }
});
exports.FINITE_NUMBER_SCHEMA = u;
exports.INFINITY_SCHEMA = f;
exports.INTEGER_SCHEMA = c;
exports.MAX_SAFE_NUMBER_SCHEMA = T;
exports.MIN_SAFE_NUMBER_SCHEMA = C;
exports.NAN_SCHEMA = _;
exports.NEGATIVE_INFINITY_SCHEMA = p;
exports.NEGATIVE_INTEGER_SCHEMA = v;
exports.NEGATIVE_NUMBER_SCHEMA = M;
exports.NON_NEGATIVE_NUMBER_SCHEMA = A;
exports.NON_POSITIVE_NUMBER_SCHEMA = P;
exports.NON_ZERO_SCHEMA = E;
exports.POSITIVE_INFINITY_SCHEMA = m;
exports.POSITIVE_INTEGER_SCHEMA = x;
exports.POSITIVE_NUMBER_SCHEMA = d;
exports.SAFE_NUMBER_SCHEMA = F;
exports.ZERO_SCHEMA = I;
exports.isEven = G;
exports.isFiniteNumber = w;
exports.isFloatNumber = L;
exports.isInfinity = Q;
exports.isInteger = ie;
exports.isItNaN = Ze;
exports.isMaxSafeNumber = $e;
exports.isMinSafeNumber = tt;
exports.isMultipleOf = Ae;
exports.isNegativeInfinity = W;
exports.isNegativeInteger = oe;
exports.isNegativeNumber = Ge;
exports.isNegativeZero = z;
exports.isNonNegativeNumber = Le;
exports.isNonPositiveNumber = Ve;
exports.isNonZero = Ee;
exports.isNumber = me;
exports.isOdd = de;
exports.isPositiveInfinity = $;
exports.isPositiveInteger = ue;
exports.isPositiveNumber = he;
exports.isPositiveZero = Ie;
exports.isSafeNumber = Qe;
exports.isZero = le;
exports.validateFiniteNumber = k;
exports.validateFloatNumber = j;
exports.validateInfinity = K;
exports.validateInteger = b;
exports.validateMaxSafeNumber = We;
exports.validateMinSafeNumber = et;
exports.validateNaN = He;
exports.validateNegativeInteger = ne;
exports.validateNegativeNumber = Be;
exports.validateNonNegativeNumber = je;
exports.validateNonPositiveNumber = Ue;
exports.validateNonZero = g;
exports.validateNumber = l;
exports.validatePositiveInteger = se;
exports.validatePositiveNumber = Xe;
exports.validateSafeNumber = Ke;
exports.validateZero = O;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=schema.cjs.map