interface RoundingNumberOptions {
    /** @defaultValue `2` */
    decimals?: number;
}
/** Round **UP** number to specific decimals length. */
declare function roundUpNumber(value: number, options?: RoundingNumberOptions): number;
/** Round **DOWN** number to specific decimals length. */
declare function roundDownNumber(value: number, options?: RoundingNumberOptions): number;

export { RoundingNumberOptions, roundDownNumber, roundUpNumber };
