import { z } from 'zod';

type NaN$1 = typeof Number.NaN;
declare const NAN_SCHEMA: z.ZodNaN;
declare function validateNaN(value: number): asserts value is NaN$1;
declare function isItNaN(value: number): value is NaN$1;

export { NAN_SCHEMA, NaN$1 as NaN, isItNaN, validateNaN };
